Skip to main content
GET
/
api
/
v1
/
services
/
{slugOrId}
/
uptime
Get uptime statistics for a service
curl --request GET \
  --url https://api.devhelm.io/api/v1/services/{slugOrId}/uptime \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "overallUptimePct": 99.95,
    "period": "7d",
    "granularity": "hourly",
    "buckets": [
      {
        "timestamp": "2024-01-01T00:00:00Z",
        "uptimePct": 100,
        "totalPolls": 12
      }
    ],
    "source": "vendor_reported"
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

slugOrId
string
required

Query Parameters

period
enum<string>

Time window

Available options:
24h,
7d,
30d,
90d,
1y,
2y,
all
granularity
enum<string>

Bucket granularity

Available options:
hourly,
daily,
monthly

Response

200 - */*

OK

data
object

Uptime response with per-bucket breakdown and overall percentage for the period